Bug 1158508 - Teiid global temporary table error with first invocation
Summary: Teiid global temporary table error with first invocation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER4
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-29 14:09 UTC by Jan Stastny
Modified: 2016-02-10 08:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the user is working with global temporary table in Teiid, an error occurs while accessing the temp table for the first time ( org.teiid.metadata.Column cannot be cast to org.teiid.query.metadata.TempMetadataID). This was due to an issue with the primary key of the database. To fix it, the metadata check for the primary key has been changed, as it has assumed a traditional temp table rather than the initial metadata entry. As a result, users will no longer encounter this error.
Clone Of:
Environment:
Last Closed: 2016-02-10 08:50:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker TEIID-3191 Major Closed Teiid global temporary table error with first invocation 2015-03-05 23:34:56 UTC

Description Jan Stastny 2014-10-29 14:09:29 UTC
Description of problem:
When working with global temporary table in teiid an error occurs while accessing the temp table for the first time. All the following invocations of the global temporary table run fine.
Global temporary table is defined through Teiid designer within my vdb.

Version-Release number of selected component (if applicable):
DV 6.1.0 ER3

How reproducible:
Each first invocation

Steps to Reproduce:
1. Create a view model with definition of global temporary table within a vdb
2. Deploy vdb
3. Run query accessing the global temporary table. Checked through Squirrel and also java api.

Actual results:
Error: org.teiid.metadata.Column cannot be cast to org.teiid.query.metadata.TempMetadataID

Expected results:
Processed query.

Additional info:


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 1 JBoss JIRA Server 2014-10-30 18:27:26 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3191 to Resolved

Comment 2 JBoss JIRA Server 2015-03-05 23:34:56 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3191 to Closed


Note You need to log in before you can comment on or make changes to this bug.